Group Group Group Group Group Group Group Group Group

Chapter 26: Deploying With Heroku, product dependency 'XXXXl' not found and has no manifest for version ERROR

I have these errors , product dependency ‘XXXXl’ not found and has no manifest for version, could you help me?

Erdem-MacBook-Pro:TILApp erdemozgur$ git push heroku master
Enumerating objects: 368, done.
Counting objects: 100% (368/368), done.
Delta compression using up to 4 threads
Compressing objects: 100% (327/327), done.
Writing objects: 100% (368/368), 79.92 MiB | 1.90 MiB/s, done.
Total 368 (delta 88), reused 0 (delta 0)
remote: Compressing source files… done.
remote: Building source:
remote:
remote: -----> Swift app detected
remote: -----> Installing clang 7.0.1
remote: -----> Installing swiftenv
remote: -----> Installing Swift 4.2.2
remote: Downloading https://swift.org/builds/swift-4.2.2-release/ubuntu1604/swift-4.2.2-RELEASE/swift-4.2.2-RELEASE-ubuntu16.04.tar.gz
remote: /tmp/swiftenv-4.2.2- ~/tmp/buildpacks/3882f96ab132c0f2f7b43fc88b51f0a9f388fb49f283e6485f46c1616003235513acbe2f6d44bddda37a1cfb70cf48c1cfd9f5637b6ab18537d0c62c92da3f96
remote: % Total % Received % Xferd Average Speed Time Time Time Current
remote: Dload Upload Total Spent Left Speed
remote: 100 213M 100 213M 0 0 8750k 0 0:00:24 0:00:24 --:–:-- 8992k
remote: ~/tmp/buildpacks/3882f96ab132c0f2f7b43fc88b51f0a9f388fb49f283e6485f46c1616003235513acbe2f6d44bddda37a1cfb70cf48c1cfd9f5637b6ab18537d0c62c92da3f96
remote: 4.2.2 has been installed.
remote: -----> Building package (release configuration)
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/vapor: error: https://github.com/vapor/vapor.git has no manifest for version 3.3.0
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/fluent-postgresql: error: https://github.com/vapor/fluent-postgresql.git has no manifest for version 1.0.0
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/leaf: error: https://github.com/vapor/leaf.git has no manifest for version 3.0.2
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/auth: error: https://github.com/vapor/auth.git has no manifest for version 2.0.4
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/Imperial: error: https://github.com/vapor-community/Imperial.git has no manifest for version 0.13.1
remote: /tmp/build_e803f13776ab0ff177441b0c234698b2/.build/checkouts/sendgrid-provider: error: https://github.com/vapor-community/sendgrid-provider.git has no manifest for version 3.0.6
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘FluentPostgreSQL’ not found
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘Vapor’ not found
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘Leaf’ not found
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘Authentication’ not found
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘Imperial’ not found
remote: ‘TILApp’ /tmp/build_e803f13776ab0ff177441b0c234698b2: error: product dependency ‘SendGrid’ not found
remote: ! Push rejected, failed to compile Swift app.
remote:
remote: ! Push failed
remote: Verifying deploy…
remote:
remote: ! Push rejected to kolayezberle.
remote:
To https://git.heroku.com/kolayezberle.git
! [remote rejected] master -> master (pre-receive hook declined)
error: failed to push some refs to ‘https://git.heroku.com/kolayezberle.git

This looks like a network error from Heroku - if you rerun it does it work?